#include <doslibm.h>
#include <conio.h>	/* getch(),kbhit() */
#include "deftype.h"

int inkey(int mode)
/* リアルタイムキー入力 */
{
unint ky;
	if (!kbhit()) return(0); /* キーが押されていない */
	ky=getch(); /* 押されている時 */
	if (mode==1) KFLUSHIO(0xff); /* キーボードバッファークリア */
	return(ky);
}
